%define cvsdate 20080818

Name: nant
Version: 0.86
Release: alt5.cvs.%cvsdate

Summary: A cross platform build tool for the .Net platform
License: GPLv2+
Group: Development/Other

# git-cvsimport -v -d:pserver:anonymous@nant.cvs.sourceforge.net:/cvsroot/nant nant
Url: http://nant.sourceforge.net
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

Source: %name-%version.tar
Patch1: %name-0.86-alt-use-system-dlls.patch
Patch2: %name-0.86-alt-fix-use-sharpziplib.patch
Patch3: %name-0.86-alt-key.patch

BuildRequires: libcvs-sharp mono-ndoc mono-tools mono-nunit22 mono-winforms mono-web
BuildRequires: /proc
BuildPreReq: rpm-build-mono mono-devel mono-mcs

%description
NAnt is a .NET based build tool. In theory it is kind of like make without
make's wrinkles. In practice it's a lot like Ant.

If you are not familiar with Jakarta Ant you can get more information at the
Ant project web site (http://ant.apache.org/).

If you are not familiar with NAnt you can get more information at the NAnt
project web site (http://NAnt.sourceforge.net).

%package doc
Summary: documentation and examples for nant
Group: Documentation
BuildArch: noarch

%description doc
%summary

This package contains NAnt documentation and samples.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i 's/\r//' doc/license.html
sed -i 's/\r//' COPYING.txt
sed -i 's/\r//' README.txt
sed -i 's/\r//' doc/releasenotes.html
# Clean out the prebuilt files 
rm -rf lib/*/*/*.{dll,exe}

%build
%make bootstrap
mono bootstrap/NAnt.exe -nologo -buildfile:NAnt.build -D:install.prefix=%_prefix build

%install
mono bootstrap/NAnt.exe -buildfile:NAnt.build -nologo -D:install.prefix=%_prefix -D:install.destdir=%buildroot install

# Put mono libs in the gac
find %buildroot%_datadir/NAnt/bin -name "*\.dll" -exec gacutil -package NAnt -root %buildroot/usr/lib -i {} \;
find %buildroot%_datadir/NAnt/bin -name "*\.exe" -exec gacutil -package NAnt -root %buildroot/usr/lib -i {} \;

# Cleanup cruft
rm -rf %buildroot%_datadir

# Fix script
cat <<EOF > %buildroot%_bindir/nant
#!/bin/sh
mono /usr/lib/mono/NAnt/NAnt.exe "\$@"
EOF
chmod 755 %buildroot%_bindir/nant

%files
%_bindir/*
%_monogacdir/*
%_monodir/NAnt

%files doc
%doc doc web examples 

%changelog
* Fri Nov 21 2008 Alexey Shabalin <shaba@altlinux.ru> 0.86-alt5.cvs.20080818
- build with system libraries(patch1,patch2)
- install all libraries over gacutil (for sign use patch3)
- package doc as noarch

* Wed Sep 10 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 0.86-alt4.cvs.20080818
- cvs snapshot 20080818

* Tue Jan 15 2008 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt3.cvs.20071228
- Removed BuildArch: noarch

* Fri Jan 11 2008 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt2.cvs.20071228
- Updated to 0.86 post-beta1

* Fri May 18 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt2.cvs.20070514
- Do not try to detect path to mono with pkg-config in executable

* Mon May 14 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt1.cvs.20070514
- Initial build for Sisyphus
